Skip to main content
GET
/
integrations
/
wordpress
WordPress status
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/integrations/wordpress \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "configured": true,
    "siteUrl": "<string>",
    "isConnected": true,
    "elementorActive": true,
    "pluginStatus": "<string>",
    "lastSync": "2023-11-07T05:31:56Z",
    "apiKeyConfigured": true,
    "recentPublishes": [
      {
        "contentId": "<string>",
        "title": "<string>",
        "publishedAt": "2023-11-07T05:31:56Z",
        "wpPostId": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

Response

WordPress status

success
boolean
required
data
object